## eegdev 0.2

=== doc/examples/plugin/Makefile ===
CC += -std=gnu99
CFLAGS ?= -O3 -g2 -Wall -Wextra
CFLAGS += -fPIC -DPIC

LD = $(CC)
LDFLAGS += -shared
LDLIBS = -lpthread

DESTDIR ?= /usr/local


all: saw.so

saw.so:	saw.o 
	$(LD) -o $@ $(LDFLAGS) $^ $(LDLIBS)

install: saw.so
	install saw.so $(DESTDIR)/lib/eegdev

uninstall:
	$(RM) $(DESTDIR)/lib/eegdev/saw.so

clean:
	$(RM)	saw.so saw.o

## eegdev 0.1

=== debian/changelog ===
eegdev (0.1-1) unstable; urgency=low

  * New upstream version: 0.1
  * Drop patches because applied upstream:
    - fix-tobiia-ipv6.patch
    - interrupt-failed-tobiia-test.patch
  * Fix build on kfreebsd architectures
    new patch implement-libusb_fill_bulk_transfer-in-fake-libusb.patch
  * Exclude some plugin from build depending on the architecture
  * Initial release. (Closes: #656469)
  * Upload sponsored by Michael Hanke <mih@debian.org>  

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Mon, 06 Feb 2012 02:18:06 +0100

eegdev (0.0-1) UNRELEASED; urgency=low

  * Initial Debian package.
  * New patch fix-tobiia-ipv6.patch
  * New patch interrupt-failed-tobiia-test.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 25 Jan 2012 13:38:19 +0100

=== debian/control ===
Source: eegdev
Section: libs
Priority: extra
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
 pkg-config, libltdl-dev, libusb-1.0-0-dev [!hurd-any], libexpat1-dev,
 libxdffileio-dev [!mips !mipsel !s390 !s390x !powerpc !sparc]
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/eegdev.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/eegdev.git
Homepage: http://cnbi.epfl.ch/software/eegdev.html

Package: libeegdev0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: eegdev-plugins-free
Description: Biosignal acquisition device library
 eegdev is a library that provides a unified interface for accessing various
 EEG (and other biosignals) acquisition systems. This interface has been
 designed to be both flexible and efficient. The device specific part is
 implemented by the mean of plugins which makes adding new device backend
 fairly easy even if the library does not support them yet officially.
 .
 The core library not only provides to users a unified and consistent
 interfaces to the acquisition device but it also provides many
 functionalities to the device backends (plugins) ranging from configuration
 to data casting and scaling making writing new device backend an easy task.
 .
 This library is particularly useful to handle the acquisition part of a
 Brain Computer Interface (BCI) or any realtime multi-electrode acquisition
 in neurophysiological research.
 .
 This package contains the core library

Package: eegdev-plugins-free
Architecture: any
Depends: libeegdev0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Biosignal acquisition device library (free plugins)
 eegdev is a library that provides a unified interface for accessing various
 EEG (and other biosignals) acquisition systems. This interface has been
 designed to be both flexible and efficient. The device specific part is
 implemented by the mean of plugins which makes adding new device backend
 fairly easy even if the library does not support them yet officially.
 .
 The core library not only provides to users a unified and consistent
 interfaces to the acquisition device but it also provides many
 functionalities to the device backends (plugins) ranging from configuration
 to data casting and scaling making writing new device backend an easy task.
 .
 This library is particularly useful to handle the acquisition part of a
 Brain Computer Interface (BCI) or any realtime multi-electrode acquisition
 in neurophysiological research.
 .
 This package contains the devices plugins that depends only on free
 components.

Package: libeegdev-dev
Section: libdevel
Architecture: any
Depends: libeegdev0 (= ${binary:Version}), ${misc:Depends}
Description: Biosignal acquisition device library (Developement files)
 eegdev is a library that provides a unified interface for accessing various
 EEG (and other biosignals) acquisition systems. This interface has been
 designed to be both flexible and efficient. The device specific part is
 implemented by the mean of plugins which makes adding new device backend
 fairly easy even if the library does not support them yet officially.
 .
 The core library not only provides to users a unified and consistent
 interfaces to the acquisition device but it also provides many
 functionalities to the device backends (plugins) ranging from configuration
 to data casting and scaling making writing new device backend an easy task.
 .
 This library is particularly useful to handle the acquisition part of a
 Brain Computer Interface (BCI) or any realtime multi-electrode acquisition
 in neurophysiological research.
 .
 This package contains the files needed to compile and link programs which
 use eegdev. Its provides also the headers neeeded to develop new device
 plugins. The manpages and examples are shipped in this package.

Package: libeegdev0-dbg
Section: debug
Architecture: any
Depends: libeegdev0 (= ${binary:Version}), ${misc:Depends}
Description: Biosignal acquisition device library (Debugging symbols)
 eegdev is a library that provides a unified interface for accessing various
 EEG (and other biosignals) acquisition systems. This interface has been
 designed to be both flexible and efficient. The device specific part is
 implemented by the mean of plugins which makes adding new device backend
 fairly easy even if the library does not support them yet officially.
 .
 The core library not only provides to users a unified and consistent
 interfaces to the acquisition device but it also provides many
 functionalities to the device backends (plugins) ranging from configuration
 to data casting and scaling making writing new device backend an easy task.
 .
 This library is particularly useful to handle the acquisition part of a
 Brain Computer Interface (BCI) or any realtime multi-electrode acquisition
 in neurophysiological research.
 .
 This package provides the debugging symbols for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CONFFLAGS = --without-gtec --with-act2=check --with-xdf=check --with-tia

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEB_CFLAGS_MAINT_APPEND = -O3 -Wall -Wextra
else
	DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra
endif
DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
DEB_BUILD_MAINT_OPTIONS=hardening=-all,+format,+relro

include /usr/share/dpkg/buildflags.mk

export CFLAGS LDFLAGS CPPFLAGS

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_strip:
	dh_strip --dbg-package=libeegdev0-dbg

override_dh_compress:
	dh_compress --exclude=examples

override_dh_installdocs:
	dh_installdocs --link-doc=libeegdev0

## eegdev 0.2

=== debian/changelog ===
eegdev (0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: conflicting types for 'cff_parse'"
    Add fix-bison-grammar-file.patch
    Patch by Dejan Latinovic
    Closes: #720833
  * Include "config.h" before including system headers
    Add include-config_h.patch
    Patch by Dejan Latinovic
    Closes: #742032
  * Fix unaligned memory access errors on MIPS systems
    Add fix-unaligned-memory-access.patch
    Patch by Dejan Latinovic
    Closes: #742035

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 19 Mar 2014 11:39:11 +0000

eegdev (0.2-3) unstable; urgency=low

  * Fix hangups when closing biosemi. (Closes: #673681)
    - new patch fix-biosemi-close-hangups.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 23 May 2012 16:04:42 +0200

eegdev (0.2-2) unstable; urgency=low

  * Fix biosemi plugin on big endian architecture:
    - new patch fix-biosemi-on-bigendian.patch
  * Fix tests on kfreebsd (Closes: #673681):
    - new patch fix-racecond-in-biosemi-tests.patch
    - new patch condtimedwait-kfreebsd-bug-workaround.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Mon, 21 May 2012 22:37:16 +0200

eegdev (0.2-1) unstable; urgency=low

  * New upstream version: 0.2
    - Drop implement-libusb_fill_bulk_transfer-in-fake-libusb.patch (applied
      upstream).
    - New build-depends: bison, flex, gnulib
    - dh_autoreconf use autogen.sh script 
  * Recommends plugin package instead of Suggests. (Closes: #662745)
  * Drop conditional build depending on the architecture (new version should
    build and run on all platforms but Hurd).
  * Bump debhelper compatibility level to 9.
  * Add multiarch support.
  * Bump Debian policy version to 3.9.3 -- no changes.
  * Use versioned copyright format.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 16 May 2012 17:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: libs
 Priority: extra
 Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
- pkg-config, libltdl-dev, libusb-1.0-0-dev [!hurd-any], libexpat1-dev,
- libxdffileio-dev [!mips !mipsel !s390 !s390x !powerpc !sparc]
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf,
+ pkg-config, gnulib, bison, flex,
+ libltdl-dev, libusb-1.0-0-dev, libexpat1-dev, libxdffileio-dev
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/eegdev.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/eegdev.git
 Homepage: http://cnbi.epfl.ch/software/eegdev.html
 
 Package: libeegdev0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: eegdev-plugins-free
+Recommends: eegdev-plugins-free
 Description: Biosignal acquisition device library
  eegdev is a library that provides a unified interface for accessing various
  EEG (and other biosignals) acquisition systems. This interface has been
@@ -34,6 +36,8 @@
 
 Package: eegdev-plugins-free
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libeegdev0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Biosignal acquisition device library (free plugins)
  eegdev is a library that provides a unified interface for accessing various
@@ -57,6 +61,7 @@
 Package: libeegdev-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libeegdev0 (= ${binary:Version}), ${misc:Depends}
 Description: Biosignal acquisition device library (Developement files)
  eegdev is a library that provides a unified interface for accessing various
@@ -81,6 +86,7 @@
 Package: libeegdev0-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libeegdev0 (= ${binary:Version}), ${misc:Depends}
 Description: Biosignal acquisition device library (Debugging symbols)
  eegdev is a library that provides a unified interface for accessing various

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CONFFLAGS = --without-gtec --with-act2=check --with-xdf=check --with-tia

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND=-O3 -Wall -Wextra
else
	export DEB_CFLAGS_MAINT_APPEND=-Wall -Wextra
endif
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=-all,+format,+relro

%:
	dh  $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_strip:
	dh_strip --dbg-package=libeegdev0-dbg

override_dh_compress:
	dh_compress --exclude=examples

override_dh_installdocs:
	dh_installdocs --link-doc=libeegdev0

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://cnbisrv02.epfl.ch/packages/eegdev/eegdev-(\d+\.\d+[[:lower:]]?)\.tar\.bz2
